{
    attributes = (
        {
            columnName = "ID_TYPE_LIEN"; 
            externalType = NUMBER; 
            name = id; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = NOM; 
            externalType = VARCHAR2; 
            name = nom; 
            valueClassName = NSString; 
            width = 255; 
        }
    ); 
    attributesUsedForLocking = (id); 
    className = "org.cocktail.fwkcktlscolpeda.serveur.metier.EOTypeLien"; 
    classProperties = (id, nom, reglesLiaisons); 
    externalName = "SCO_SCOLARITE.TYPE_LIEN"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {"_javaClientClassName" = "Sco_TypeLien"; }; 
    name = "Sco_TypeLien"; 
    primaryKeyAttributes = (id); 
    relationships = (
        {
            destination = "Sco_RegleLiaison"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = typeLienId; sourceAttribute = id; }); 
            name = reglesLiaisons; 
        }
    ); 
}
